VLOCK(1)

BEZEICHNUNG
vlock - Sperren von virtuellen Konsolen

ÜBERSICHT
vlock [ -hv ]

vlock [ -acns ] [ -t <Zeitüberschreitung> ] [ Erweiterungen… ]

BESCHREIBUNG
vlock ist ein Programm zum Sperren einer oder mehrerer Sitzungen auf der Linux-Konsole. Dies ist besonders für Linux-Maschinen nützlich, bei denen mehrere Benutzer Zugriff auf die Konsole haben. Ein(e) Benutzer(in) kann seine/ihre Sitzung(en) sperren und dennoch können andere Benutzer das System auf anderen virtuellen Konsolen benutzen. Falls gewünscht, kann die gesamte Konsole gesperrt und das Umschalten zwischen virtuellen Konsolen deaktiviert werden.

Standardmäßig wird nur die aktuelle VC (virtuelle Konsole) gesperrt. Mit der Option -a,--all werden alle virtuellen Konsolen gesperrt. Die gesperrten VCs können ohne das Passwort des Aufrufenden oder von Root nicht entsperrt werden. Das Root-Passwort ist immer in der Lage, jede oder alle Sitzungen zu entsperren, außer dies wurde beim Kompilieren deaktiviert.

Bitte beachten Sie, dass es gut möglich ist, dass Sie sich selber von der Konsole mit der Option -a,--all aussperren, falls Sie sich nicht an Ihr Passwort erinnern können. Dann ist ein harter Neustart die einzige Methode, die Anzeige zu »entsperren«, wenn Sie keine Möglichkeit haben, sich aus der Ferne über ein serielles Terminal oder das Netzwerk anzumelden und Vlock zu töten.

Wenn die gesamte Konsolenanzeige gesperrt wurde, ist es manchmal noch möglich, Vlock über den Sicheren Zugriffsschlüssel (SAK) oder andere Befehle, die über den SysRq-Mechanismus verfügbar sind, zu töten. Wenn die Optionen -s,--disable-sysrq und -a,--all angegeben sind, wird der SysRq-Mechanismus zur Laufzeit von Vlock deaktiviert. Siehe /usr/src/linux/Documentation/sysrq.txt für weitere Details.

Vlock funktioniert primär von Konsole-Sitzungen aus. Um die gesamte Konsolenanzeige aus einer X-Sitzung zu sperren, verwenden Sie die Option -n,--new. Damit schaltet Vlock auf eine leere virtuelle Konsole um, um die Anzeige zu sperren.

Die Optionen -n,--new, -s,--disable-sysrq und -t,--timeout funktionieren nur, falls Vlock mit Unterstützung für Erweiterungen kompiliert wurde. Siehe den Abschnitt ERWEITERUNGEN für weitere Informationen.

OPTIONEN
-a,--all

    Alle Konsolensitzungen sperren und VC-Umschaltung deaktivieren.

-c,--current

    Die aktuelle Sitzung sperren (dies ist die Vorgabe).

-n,--new

    Auf eine neue virtuelle Konsole umschalten, bevor alle Konsolesitzungen gesperrt werden.

-s,--disable-sysrq

    Den SysRq-Mechanismus deaktivieren, während die Konsolen gesperrt sind. Diese Option funktioniert nur, falls die Option -a,--all angegeben wurde.

-t,--timeout <Sekunden>

    Gibt die Zeitüberschreitung für die Bildschirmschoner-Erweiterungen an. Siehe vlock-plugins(5) für weitere Informationen.

-h,--help

    Eine kurze Hilfemeldung ausgeben.

-v,--version

    Gibt die Versionsnummer aus.

UMGEBUNGSVARIABLEN
Die folgenden Umgebungsvariablen können zur Änderung des Verhaltens von Vlock verwandt werden:

USER

    Falls diese Variable gesetzt ist, wenn vlock als root (uid 0) ausgeführt wird, sperrt Vlock den Bildschirm als dieser Benutzer anstelle von root. Die Sitzung kann immer noch mit dem root-Passwort entsperrt werden, außer wenn dies beim Kompilieren deaktiviert wurde.

VLOCK_ALL_MESSAGE

    Falls diese Variable gesetzt ist und alle Konsolen gesperrt sind, wird ihr Inhalt als Sperrmeldung statt der Vorgabemeldung verwandt.

VLOCK_CURRENT_MESSAGE

    Falls diese Variable gesetzt ist und die aktuelle Konsole gesperrt ist, wird ihr Inhalt als Sperrmeldung statt der Vorgabemeldung verwandt.

VLOCK_MESSAGE

    Falls diese Variable gesetzt ist, wird ihr Inhalt als Sperrmeldung statt der Vorgabemeldung verwandt. Dies setzt die vorherigen zwei Variablen außer Kraft.

VLOCK_PLUGINS

    Falls diese Variable gesetzt ist, wird sie als als eine durch Leerraum getrennte Liste von Erweiterungen interpretiert, die beim Start von Vlock zusätzlich zu den auf der Befehlszeile angegebenen Erweiterungen geladen werden.

VLOCK_TIMEOUT

    Setzen Sie diese Variable, um die Zeitüberschreitung (in Sekunden) festzulegen, nach der die Erweiterungen für den Bildschirmschoner (falls vorhanden) aufgerufen werden. Falls diese Variable nicht oder auf einen ungültigen Wert oder 0 gesetzt ist, wird keine Zeitüberschreitung verwandt. Siehe vlock-plugins(5) für weitere Informationen über Erweiterungen.

VLOCK_PROMPT_TIMEOUT

    Setzen Sie diese Variable, um die Zeitdauer (in Sekunden) festzulegen, die Sie für die Eingabe Ihres Passworts an der Aufforderung dazu haben. Falls diese Variable nicht oder auf einen ungültigen Wert oder 0 gesetzt ist, wird keine Zeitüberschreitung verwandt. Warnung: Falls dieser Wert zu klein ist, könnte es sein, dass Sie Ihre Sitzung nicht entsperren können.

DATEIEN
~/.vlockrc

    Falls diese Datei existiert, wird sie beim Start von vlock gelesen. Alle der vorstehend genannten Variablen können hier gesetzt werden.

SICHERHEIT
Siehe die Datei SECURITY in der vlock-Distribution für weitere Informationen.

SIEHE AUCH
vlock-main(8), vlock-plugins(5)

AUTOREN
Michael K. Johnson <http://danlj.org/mkj/>

Frank Benkstein <frank-vlock@benkstein.net>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).